﻿@model DatabaseProject.distribution

@{
    ViewBag.Title = "Edit";
}

<h2>Edit</h2>

@using (Html.BeginForm()) {
    @Html.AntiForgeryToken()
    @Html.ValidationSummary(true)

    <fieldset>
        <legend>distribution</legend>

        <div class="editor-label">
            @Html.LabelFor(model => model.id_distributions)
        </div>
        <div class="editor-field">
            @Html.EditorFor(model => model.id_distributions)
            @Html.ValidationMessageFor(model => model.id_distributions)
        </div>

        <div class="editor-label">
            @Html.LabelFor(model => model.amount_to_distribute)
        </div>
        <div class="editor-field">
            @Html.EditorFor(model => model.amount_to_distribute)
            @Html.ValidationMessageFor(model => model.amount_to_distribute)
        </div>

        <div class="editor-label">
            @Html.LabelFor(model => model.request_date)
        </div>
        <div class="editor-field">
            @Html.EditorFor(model => model.request_date)
            @Html.ValidationMessageFor(model => model.request_date)
        </div>

        <div class="editor-label">
            @Html.LabelFor(model => model.end_date)
        </div>
        <div class="editor-field">
            @Html.EditorFor(model => model.end_date)
            @Html.ValidationMessageFor(model => model.end_date)
        </div>

        <div class="editor-label">
            @Html.LabelFor(model => model.id_stocks, "stock")
        </div>
        <div class="editor-field">
            @Html.DropDownList("id_stocks", String.Empty)
            @Html.ValidationMessageFor(model => model.id_stocks)
        </div>

        <div class="editor-label">
            @Html.LabelFor(model => model.id_distributors, "distributor")
        </div>
        <div class="editor-field">
            @Html.DropDownList("id_distributors", String.Empty)
            @Html.ValidationMessageFor(model => model.id_distributors)
        </div>

        <div class="editor-label">
            @Html.LabelFor(model => model.completion_state)
        </div>
        <div class="editor-field">
            @Html.EditorFor(model => model.completion_state)
            @Html.ValidationMessageFor(model => model.completion_state)
        </div>

        <p>
            <input type="submit" value="Save" />
        </p>
    </fieldset>
}

<div>
    @Html.ActionLink("Back to List", "Index")
</div>

@section Scripts {
    @Scripts.Render("~/bundles/jqueryval")
}
